// Copyright (c) 2001-2004 Rowley Associates Limited.
//
// This file may be distributed under the terms of the License Agreement
// provided with this software.
//
// THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE
// WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
//
////////////////////////////////////////////////////////////////////////////////
//
//                 OKI ML674000 Evaluator LED Example
//
// Description
// -----------
// This example demonstrates setting the LEDs and also how to place
// functions into the .fast section.
//
////////////////////////////////////////////////////////////////////////////////

#define LED (*(volatile unsigned char *)0xF0000000)

unsigned char banner[] = {0x37, 0x4F, 0x0E, 0x0E, 0x7E, 0x00};

void delay(unsigned int d);
                        
static unsigned int count;

int
main(void)
{
  unsigned char *ptr = banner;
  
  while(1)
    {
      LED = *ptr;
      if(*ptr == 0)
        ptr = banner;
      else
        ptr++;
      delay(0x20000);
      LED = 0;
      delay(0x5000);
      count++;
    }      
          
  return 0;    
}


